﻿' Fig. 12.18: DisplayTable.vb
' Displaying data from a database table in a DataGridView.
Public Class DisplayAuthorsTable
   Private database As New BooksDataContext() ' LINQ to SQL data context

   ' load data from database into DataGridView
   Private Sub DisplayTable_Load(ByVal sender As System.Object,
      ByVal e As System.EventArgs) Handles MyBase.Load

      ' use LINQ to order the data for display
      AuthorBindingSource.DataSource =
         From author In database.Authors
         Order By author.AuthorID
         Select author
   End Sub ' DisplayTable_Load

   ' save the changes into the database
   Private Sub AuthorBindingNavigatorSaveItem_Click(
      ByVal sender As System.Object, ByVal e As System.EventArgs) _
      Handles AuthorBindingNavigatorSaveItem.Click

      Validate() ' validate input fields
      AuthorBindingSource.EndEdit() ' indicate edits are complete
      database.SubmitChanges() ' write changes to database file
   End Sub ' AuthorBindingNavigatorSaveItem_Click

   ' displays only rows that have the specified last name
   Private Sub findButton_Click(ByVal sender As System.Object,
      ByVal e As System.EventArgs) Handles findButton.Click

      ' update DataSource to include only people with specified last name
      AuthorBindingSource.DataSource =
         From author In database.Authors
         Where author.LastName = findTextBox.Text
         Order By author.AuthorID
         Select author
   End Sub ' findButton_Click
End Class ' DisplayTable

' **************************************************************************
' * (C) Copyright 1992-2011 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************